CREATE TABLE cmp_tcs_col_in_cat (
    COL_IN_CAT_ID             NUMBER(18, 0),
    CAT_ID                    NUMBER(18, 0)    NOT NULL,
    ORDR_NUM                  NUMBER(18, 0)    NOT NULL,
    COLUMN_TYPE_CD            VARCHAR2(120),
    DATA_TYPE_CD              VARCHAR2(120),
    CONTRIBUTOR_TYPE_CD       VARCHAR2(120),
    HIDE_COLUMN_FLAG          VARCHAR2(4)  ,
    INCLUDE_IN_CHART1_FLAG    VARCHAR2(4)  ,
    INCLUDE_IN_CHART2_FLAG    VARCHAR2(4)  ,
    AVAIL_FOR_DISP_FLAG       VARCHAR2(4)  ,
    HIDE_IN_PDF_FLAG          VARCHAR2(4)  ,
    BUSINESS_GROUP_ID         NUMBER(18, 0)    NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    COL_IN_CAT_ID             NUMBER(18, 0),
    CAT_ID                    NUMBER(18, 0)    NOT NULL,
    ORDR_NUM                  NUMBER(18, 0)    NOT NULL,
    COLUMN_TYPE_CD            VARCHAR2(120),
    DATA_TYPE_CD              VARCHAR2(120),
    CONTRIBUTOR_TYPE_CD       VARCHAR2(120),
    HIDE_COLUMN_FLAG          VARCHAR2(4)  ,
    INCLUDE_IN_CHART1_FLAG    VARCHAR2(4)  ,
    INCLUDE_IN_CHART2_FLAG    VARCHAR2(4)  ,
    AVAIL_FOR_DISP_FLAG       VARCHAR2(4)  ,
    BUSINESS_GROUP_ID         NUMBER(18, 0)    NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    HIDE_IN_PDF_FLAG          VARCHAR2(4)  ,
    CONSTRAINT pk_cmp_tcs_col_in_cat PRIMARY KEY (COL_IN_CAT_ID, COL_IN_CAT_ID)
);
